#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main ( int argc, char *argv[] )  
{
    int i, n;
    long long int *fib;

    if (argc != 2)
    {
        fprintf(stderr, "Usage %s <n>\n", argv[0]);
        exit(-1);
    }
    n = atoi(argv[1]);

    fib = malloc(n * sizeof(long long int));

    // Initialize
    fib[0] = 1;
    fib[1] = 1;

    // Compute
    for( i = 2; i < n; i++ )
        fib[i] = fib[i-1] + fib[i-2];

    // Print out the n-th Fibonacci number
    // Do not delete this printf statement
    printf("Fib(%d): %lld\n", n, fib[n-1]);

    free(fib);

    return 0;
}
